Package: org.gradle.plugins.ide.eclipse.model

## [Groovy] Class Output

- org.gradle.plugins.ide.eclipse.model.Output

- All Implemented Interfaces and Traits:
    ClasspathEntry

      class Output
      extends Object

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `String` | `path`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `Output (groovy.util.Node node)`
    `Output (String path)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `appendNode(groovy.util.Node node)`
    `boolean` | `equals(def o)`
    `String` | `getKind()`
    `int` | `hashCode()`
    `String` | `toString()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Property Detail

    - #### String path

  - ### Constructor Detail

    - #### Output(groovy.util.Node node)

    - #### Output(String path)

  - ### Method Detail

    - #### void appendNode(groovy.util.Node node)

    - #### boolean equals(def o)

    - #### String getKind()

    - #### int hashCode()

    - #### String toString()